zuluCrypt
Security
Score 57%
Description:

zuluCrypt is a Qt based GUI and a cli solution for management of LUKS,PLAIN,TRUECRYPT and VERACRYPT encrypted volumes.

zuluCrypt can do the following among other abilities:

1. Create 64 bytes in size key files composed of only the 94 printable characters).
2. Create encrypted volumes both in files and partitions.
3. Create plain type,luks types as well as truecrypt encrypted volumes.
4. Add keys to luks based volumes.
5 . Delete keys from luks luks based volumes.
6. Open plain,luks and truecrypt based volumes residing in both files and partitions.
7. Encrypt stand alone files.
8. Erase data on partitions i.e can be used as a data eraser tool.

zuluMount is Qt based tool that can be used to mount and unmount partitions as well as open and close encrypted volumes.

It does what udisks and friends does but without polkit authentication mechanism or d-bus.

For more information,read section 2,3,4 and 5 in the FAQ located at: http://code.google.com/p/zulucrypt/wiki/FAQ

external packages list:
https://aur.archlinux.org/packages/zulucrypt/
Last changelog:

5.2.0 3 months ago

-- add ability to select a file manager to use to open mount points. A file manager
can be set through zuluCrypt-gui->menu->options->set file manager.
-- dont run zuluCrypt-gui and zuluMount-gui from root's account when running
in mixed mode.
-- add arabic translation.

mhogomchungu

5 years ago

testing a comment

Report

mrbitt

4 years ago

Hi, (so = 64bit Archlinux) for compila:
sed -i '1248s/O_TRUNC/O_TRUNC,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/zuluCrypt-cli/utility/string/String.c
sed -i '1250s/O_APPEND/O_APPEND,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/zuluCrypt-cli/utility/string/String.c
sed -i '223s/O_CREAT/O_CREAT,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/zuluCrypt-cli/lib/file_encryption.c
sed -i '163s/O_CREAT/O_CREAT,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/zuluCrypt-cli/lib/file_encryption.c
sed -i '76s/O_CREAT/O_CREAT,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/test/zuluCrypt-test.c
sed -i '93s/O_CREAT/O_CREAT,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/test/zuluCrypt-test.c
sed -i '121s/opt/opt,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/test/zuluCrypt-test.c
sed -i '137s/opt/opt,S_IRUSR|S_IWUSR/' $srcdir/$pkgname-$pkgver/test/zuluCrypt-test.c

now: no link kde libs ???
CMakeFiles/kwallet.dir/__/__/zuluCrypt-gui/kwalletplugin.cpp.o: nella funzione "kwalletplugin::getKey(QString)":
"kwalletplugin.cpp : (. text +0 x258 ): undefined reference to ' QString :shared_null"
"kwalletplugin.cpp : (. text +0 x2a4 ): undefined reference to \" QMapData :: shared_null
kwalletplugin.cpp : (. text +0 x32b ): undefined reference to ' QString :: operator = ( const QString&)"
..
..

Report

C

nanasi

4 years ago


there seem to be an internal problem with your version of Qt.

what does these commands give you?
qmake -v
kde-config --version

what distribution are you using?

Your output of the "cmake" configuration step would also be useful.

Report

mrbit

4 years ago

Archlinux 64bit with KDE 4.9.3

[mrbit@localhost build]$ cmake -DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=MINSIZEREL . ..
-- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake:38 (include)
/usr/share/apps/cmake/modules/FindQt4.cmake:408 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckFunctionExists.cmake:30 (include)
/usr/share/apps/cmake/modules/FindX11.cmake:305 (INCLUDE)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:30 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckLibraryExists.cmake:29 (include)
/usr/share/apps/cmake/modules/FindX11.cmake:306 (INCLUDE)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:30 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Found X11: /usr/lib/libX11.so
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckLibraryExists.cmake:29 (include)
/usr/share/cmake-2.8/Modules/FindThreads.cmake:25 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake:38 (include)
/usr/share/cmake-2.8/Modules/FindThreads.cmake:26 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:92 (include):
File /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake
includes /usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindThreads.cmake:165 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- ---------------------------------------------------------------------------
-- optional functionality that will be build
-- GUI front ends,zuluCrypt-gui and zuluMount-gui
-- kde kwallet support
-- gnome-keyring support
-- pwquality library support to give passphrase strength measure
-- ---------------------------------------------------------------------------
-- ---------------------------------------------------------------------------
-- optional functionality that will NOT be build
-- ---------------------------------------------------------------------------
-- Configuring done
-- Generating done

Report

mrbit

4 years ago

qmake -v
QMake version 2.01a
Using Qt version 4.8.4 in /usr/lib

kde-config --version
Qt: 3.3.8b
KDE: 3.5.10
kde-config: 1.0

/usr/bin/kde4-config --version
Qt: 4.8.4
Piattaforma di sviluppo KDE: 4.9.3
kde4-config: 1.0

Report

mrbit

4 years ago

Archlinux 64bit with KDE 4.9.3

[mrbit@localhost build]$ cmake -DCMAKE_INSTALL_PREFIX=/usr/ -DCMAKE_BUILD_TYPE=MINSIZEREL . ..
-- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake:38 (include)
/usr/share/apps/cmake/modules/FindQt4.cmake:408 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Found Qt-Version 4.8.4 (using /usr/bin/qmake)
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckFunctionExists.cmake:30 (include)
/usr/share/apps/cmake/modules/FindX11.cmake:305 (INCLUDE)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:30 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckLibraryExists.cmake:29 (include)
/usr/share/apps/cmake/modules/FindX11.cmake:306 (INCLUDE)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:30 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- Found X11: /usr/lib/libX11.so
CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckLibraryExists.cmake:29 (include)
/usr/share/cmake-2.8/Modules/FindThreads.cmake:25 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake:33 (include):
File /usr/share/cmake-2.8/Modules/CMakeExpandImportedTargets.cmake includes
/usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/CheckSymbolExists.cmake:38 (include)
/usr/share/cmake-2.8/Modules/FindThreads.cmake:26 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

CMake Warning (dev) at /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake:92 (include):
File /usr/share/cmake-2.8/Modules/FindPackageHandleStandardArgs.cmake
includes /usr/share/apps/cmake/modules/CMakeParseArguments.cmake (found via
CMAKE_MODULE_PATH) which shadows
/usr/share/cmake-2.8/Modules/CMakeParseArguments.cmake. This may cause
errors later on .

Policy CMP0017 is not set: Prefer files from the CMake module directory
when including from there. Run "cmake --help-policy CMP0017" for policy
details. Use the cmake_policy command to set the policy and suppress this
warning.
Call Stack (most recent call first):
/usr/share/cmake-2.8/Modules/FindThreads.cmake:165 (include)
/usr/share/apps/cmake/modules/Qt4ConfigDependentSettings.cmake:32 (FIND_PACKAGE)
/usr/share/apps/cmake/modules/FindQt4.cmake:1230 (INCLUDE)
plugins/kwallet/CMakeLists.txt:5 (find_package)
This warning is for project developers. Use -Wno-dev to suppress it.

-- ---------------------------------------------------------------------------
-- optional functionality that will be build
-- GUI front ends,zuluCrypt-gui and zuluMount-gui
-- kde kwallet support
-- gnome-keyring support
-- pwquality library support to give passphrase strength measure
-- ---------------------------------------------------------------------------
-- ---------------------------------------------------------------------------
-- optional functionality that will NOT be build
-- ---------------------------------------------------------------------------
-- Configuring done
-- Generating done

Report

mrbit

4 years ago

sorry for double post...?
problem with adsl internet

Report

C

nanasi

4 years ago


i have test build in pclinuxos 32 bit,opensuse 64 bit,fedora 64 bit and ubuntu 64 bit and i did not get those warnings and errors.

you seem to have Qt3 and Qt4 installed.That could be where the problem is.Some Qt3 libraries are used and they dont have expected symbols in them. I googled the undefined symbol errors and most results where from around 2006.This strongly suggests the Qt3 libraries were the ones in use.

Will try to build on archlinux 64 bit and see what i will find out.

Report

mrbitt

4 years ago

ok, unistalled kdelibs3 , now error:
[ 13%] Building CXX object plugins/keykeyfile/CMakeFiles/keykeyfile.dir/mainwindow.cpp.o
[ 13%] Building CXX object plugins/gpg/CMakeFiles/gpg.dir/mainwindow.cpp.o
[14 %] make [2] : *** No rule to generate the target \" zuluCrypt-cli/libzuluCryptPluginManager.so \" necessary to «plugins/gpg/gpg».

Report

mrbitt

4 years ago

ok, unistalled kdelibs3 , now error:
[ 13%] Building CXX object plugins/keykeyfile/CMakeFiles/keykeyfile.dir/mainwindow.cpp.o
[ 13%] Building CXX object plugins/gpg/CMakeFiles/gpg.dir/mainwindow.cpp.o
[14 %] make [2] : *** No rule to generate the target \" zuluCrypt-cli/libzuluCryptPluginManager.so \" necessary to «plugins/gpg/gpg».

Report

C

nanasi

4 years ago

did you try to build from a new/clean build folder?

It will be easier if we could discuss your problem over email, my email address is mhogomchungu at GmAil doT com .can you send the complete output of the cmake configuration command and all the following build output

Report

5.2.0 3 months ago

-- add ability to select a file manager to use to open mount points. A file manager
can be set through zuluCrypt-gui->menu->options->set file manager.
-- dont run zuluCrypt-gui and zuluMount-gui from root's account when running
in mixed mode.
-- add arabic translation.

5.1.0 9 months ago

-- make it possible to unlock folder based encrypted volumes when running in mixed mode.
-- add ability in zuluCrypt-gui to unlock VeraCrypt volumes that use PIM value.
-- add ability in zuluCrypt-gui to unlock plain dm-crypt volumes that uses an offset.
-- add ability in zuluCrypt-gui to create plain dm-crypt volumes using user configurable crypto options.
-- add ability in zuluCrypt-gui to unlock plain dm-crypt volumes using user configurable crypto options.
-- add ability in zuluCrypt-gui to backup and restore VeraCrypt headers.
-- add ability in zuluCrypt-gui to change VeraCrypt volume key.
-- add ability in zuluCrypt-gui to create a VeraCrypt volume that uses a PIM value.
-- add ability in zuluMount-gui to unlock folder based encrypted volumes when running in mixed mode.

5.0.2 10 months ago

-- Add support for unlocking ecryptfs volumes in zuluMount-gui
-- Fix a hang some users where experiencing when creating/unlocking volumes.

6 years ago

version 5.0.0
-- add support for creating LUKS volumes that only uses a detached header.The detached header will be created in the user home directory and the volume can not be unlocked without this detached header.The detached header can be reattached later on through
zuluCrypt-gui->menu->Volumes->Restore Volume Header.
-- its now possible to create a shared mount point when unlocking a volume in zuluCrypt-gui
-- its now possible to unlock VeraCrypt volumes from favorite feature in zuluCrypt-gui
-- add complete French translation to both zuluCrypt-gui and zuluMount-gui
-- try to silently solve problems caused by other tools mounting zuluCrypt's encryption mapper.
-- add support for creating a "plain dm-crypt" volume at a "none zero offset".This type of volume is useful as a "poor man's version of a hidden volume feature in TrueCrypt and VeraCrypt".Best thing about this type of hidden volume is that the outer volume can be anything including an "exposed file system".Currently,only zuluMount-gui can open this type of volume by clicking "options" followed by "Set Volume Offset" on the mounting dialog prompt.
-- Qt5 is now the default Qt dependency.

version 4.9.0

-- add support for unlocking cryfs[1][2] encrypted folders in zuluMount.

[1] https://github.com/cryfs
[2] https://www.cryfs.org/

version 4.8.0

-- fix a bug where a private mount point was created with wrong permissions.

version 4.7.8
-- add support for usage of keys that are made up by a combination of a passphrase and a keyfile."hmac" plugin
should be used to unlock volumes generated by this combination.
-- fix problems caused by updated versions of certain utilities we rely on.


version 4.7.7
-- add support for creating and opening VeraCrypt volumes that use dynamic mode.
-- make zuluCrypt-gui window and zuluMount-gui window resizable with the new sizes surviving restarts.

version 4.7.6
-- add "hmac" plugin.This plugin produces a key as follows: key = hmac-sha256( passphrase,keyfile-contents ).
this plugin can be used when unlocking a volume requires a passphrase and a keyfile.
-- use "tcrypt" to refer to TrueCrypt volumes and "vcrypt" to refer to VeraCrypt volumes.
-- add ability to create VeraCrypt volumes.


version 4.7.5
-- add abilities in zuluMount-gui to hide useless entries like windows recovery partitions from view.These entries can be set to show/hide through tray icon context menu.

-- add ability to mount and unmount encfs volumes in zuluMount-gui.A folder with encrypted files can be unlocked by dragging it and then dropping it on zuluMount-gui main window.

-- add ablity to create TrueCrypt volumes using a passphrase together with one or more keyfiles.Previous versions allowed creation of volumes using either a passphrase or a single keyfile.

-- add support for opening of VeraCrypt volumes(cryptsetup >= 1.7.0 required).


version 4.7.4
-- fix a bug that hanged zuluMount-gui on failed attempt at unlocking a plain dm-crypt volume at a none zero offset.a plain dm-crypt volume at
a none zero offset can be used as a hidden volume ala TrueCrypt hidden volume feature.No protetcion of hidden volume though.


version 4.7.3
-- fix issues with Qt5 build
-- show devices even when they have neither partitions nor recognizable file systems.This is useful for TrueCrypt system volumes or
normal TrueCrypt volumes that are not in partitions.
-- add an ability to change TrueCrypt volume key.
-- add ability to create volumes with different crypto options

version 4.7.2
-- add support for opening TrueCrypt volumes using a passphrase together with one or more keyfiles.

changelog for 4.7.1
-- fix a build issue with gcc 4.9

changelog for 4.7.0
-- various changes and improvements
-- add a plugin named "steghide" that retrives passphrases embeded in other files using "steghide" tool.
-- add a plugin named "luks" that allows opening a LUKS volume using a backup/detached header.
-- add a plugin named "tomb" that allows opening of LUKS volumes from tomb project using keys securely stored in image files.

changelog for 4.6.9
-- move config files to "/etc/zuluCrypt" from "/etc"
-- add a config file "/etc/zuluCrypt/fs_options" where default file system mount options can be specified per UUID.
-format is:one entry per line,example entry: UUID="abcf" uid=500
-- fix a bug,if udev is enabled,mounted image files were always treated as system volumes.
-- use libgcrypt for stand alone file encryption instead of cryptsetup.Newer stand alone encrypted files will have an extension of ".zC" to
distinguish them from previous ones that use ".zc".Older versions of zuluCrypt(

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
updated Jul 05 2017
added Sep 17 2011
downloads today
0
page views today 0